# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::EdgeUpdateCallback Class Reference

The EdgeUpdateCallback class updates at every frame the edges of an Actor for the purpose of edge-enhancement. More...

`#include <EdgeUpdateCallback.hpp>`

Inheritance diagram for vl::EdgeUpdateCallback:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| EdgeUpdateCallback ()
| EdgeUpdateCallback (const std::vector< EdgeExtractor::Edge > &edge)
void | setShowCreases (bool sonly)
| If `true` only the edges forming the silhouette of an object will be rendered.
bool | showCreases () const
| If `true` only the edges forming the silhouette of an object will be rendered.
virtual void | operator() (const Camera *cam, Actor *act, Renderable *renderable, const Shader *, int pass)
| Called upon callback execution.
const std::vector < EdgeExtractor::Edge > & | edges () const
std::vector < EdgeExtractor::Edge > & | edges ()

## Detailed Description

The EdgeUpdateCallback class updates at every frame the edges of an Actor for the purpose of edge-enhancement.

See also:
  EdgeExtractor

## Constructor & Destructor Documentation

vl::EdgeUpdateCallback::EdgeUpdateCallback | ( |  | ) | `[inline]`

vl::EdgeUpdateCallback::EdgeUpdateCallback | ( | const std::vector< EdgeExtractor::Edge > & | edge | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::EdgeUpdateCallback::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void vl::EdgeUpdateCallback::setShowCreases | ( | bool | sonly | ) | `[inline]`

If `true` only the edges forming the silhouette of an object will be rendered.

bool vl::EdgeUpdateCallback::showCreases | ( |  | ) | const`[inline]`

If `true` only the edges forming the silhouette of an object will be rendered.

virtual void vl::EdgeUpdateCallback::operator() | ( | const Camera * | cam,
|  | Actor * | actor,
|  | Renderable * | renderable,
|  | const Shader * | shader,
|  | int | pass |
| ) |  |  | `[inline, virtual]`

Called upon callback execution.

Parameters:

  | cam | The camera used for the current rendering.
  | actor | The Actor bound to this rendering callback.
  | renderable | The currently selected Actor LOD.
  | shader | The currently active Shader.
  | pass | The current Actor[s] rendering pass.

Implements vl::ActorRenderingCallback.

const std::vector<EdgeExtractor::Edge>& vl::EdgeUpdateCallback::edges | ( |  | ) | const`[inline]`

std::vector<EdgeExtractor::Edge>& vl::EdgeUpdateCallback::edges | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/EdgeUpdateCallback.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.